Pumpkin, Inc.

Pumpkin User Forums

Dead Salvo Install

If you're having difficulty installing Salvo, post it here.

Dead Salvo Install

Postby ATG12 » Fri Feb 21, 2003 11:03 am

I have the following:
Win XP
SalvoPro 3.0.8 (9?) (PIC Chip)
Hi-Tech Pic C 7.87
MPLAB 5.20

I have installed Salvo but have not been able to get any of the demo's or tutorials to run. The tut projects seem to be corrupted. Just clicking on the *.c nodes causes MPLAB to crash. When I try to run them I get this error message "Select Build Tool not installed properly". I tried building a project from scratch adding but just adding 'OSInit()' gives me an "undefined identifier: OScTcbP (error)" error.

I have looked through the docs and on the net but I seem to be the only one with this problem...

The doc's for salvo indicate that it is compatiable with Hi-Tech and MPLAB but there is no min version number that I can find.

ATG12
 
Posts: 4
Joined: Fri Feb 21, 2003 12:00 am
Location: China Lake, CA, USA

Re: Dead Salvo Install

Postby jtemples » Sat Feb 22, 2003 1:36 am

quote:
When I try to run them I get this error message "Select Build Tool not installed properly".

It sounds like one of your problems is that you haven't done Project...Install Language Tool... in MPLAB yet.

jtemples
 
Posts: 45
Joined: Tue Jul 16, 2002 11:00 pm

Re: Dead Salvo Install

Postby Salvo Tech Support » Sat Feb 22, 2003 9:29 am

Hello.

I see two problems:

1) MPLAB v5.2. You'll need to run at least MPLAB v5.5 to get the projects to work (Microchip made substantial changes around MPLAB v5.5). You can download MPLAB v5.7x from Microchip's website -- but it will take a whiel to find it, as the main links take you to v6, which we don't yet have projects for (v6 and v5.x are completely different animals).

2) You are eligible for Salvo v3.1 -- please uninstall Salvo, download v3.1 and reinstall.

quote:
I tried building a project from scratch adding but just adding 'OSInit()' gives me an "undefined identifier: OScTcbP (error)" error.
If this is a source-code build, then it sounds like either your salvocfg.h is wrong, or maybe you didn't include salvosrcmem.c as a node in your project.

I strongly suggest you upgrade to MPLAB v5.7x, and ensure that you can compile a simple "hello world" program with PICC v7.87. Then you should be able to build the Salvo tutorial projects without errors, and then create your own.

------------------
--------
Salvo Technical Support
Please request all tech support through the Forums.

[This message has been edited by Salvo Tech Support (edited February 22, 2003).]

--------
Salvo Technical Support
Please request all tech support through the Forums.
Salvo Tech Support
 
Posts: 173
Joined: Sun Nov 19, 2000 12:00 am

Re: Dead Salvo Install

Postby jtemples » Mon Feb 24, 2003 1:26 am

quote:
The Salvo objects are still dead but my old Pic projects are now also DOA.

The Hi-Tech language suite naming convention changed in MPLAB 5.5. There is a "toolfix.exe" in your new MPLAB directory that can convert your old projects to the new format.
quote:
I keep getting the "Selected Build Tool not installed properly". I try to 'Install Language Tool' with the Hi-Tech PICC but it doesen't keep my selections. I assume it is a version conflict.

No, it's not a version conflict, and you don't need to upgrade PICC to resolve this problem (though it's always a good idea to have the latest compiler).

The "Install Language Tool" UI is kind of weird; you have to select Language Suite (Hi-Tech PICC), then select Tool Name three times (compiler, assembler, linker), each time pointing to picc.exe, and choose "Command-line". Each time you change Tool Name, you'll get a dialog box asking to save; click yes.

[This message has been edited by jtemples (edited February 24, 2003).]

jtemples
 
Posts: 45
Joined: Tue Jul 16, 2002 11:00 pm

Re: Dead Salvo Install

Postby ATG12 » Mon Feb 24, 2003 2:36 am

1 - I found the "toolfix.exe" program. All it did was delete my pjt file. ??? Obviously something I did....

2 - I have been playing with the "Install Language Tool" dialog box from day one. No matter how I use it, it doesn't appear to like my version of Hi-Tech C, (v7.87). It ignores my selections.

3 - I am sure that MPLAB 5.5 & 5.7 and WinXP do work with Hi-Tech PICC v8.0. Unfortunately, I only have v7.87. I have ordered, downloaded and installed PICC v8.0. Unfortunately^2, Hi-Tech won't give me a new ser no. I have to wait for someone to ship me a CD from Australia.

4 - Is there an older version of Salvo that is compatible with PICC (7.87) and MPLAB 5.2? If not then I guess I'll skip the RTOS on this project, I can't wait for the CD from Australia.

Thanks for the help guys!!!

ATG12
 
Posts: 4
Joined: Fri Feb 21, 2003 12:00 am
Location: China Lake, CA, USA

Re: Dead Salvo Install

Postby jtemples » Mon Feb 24, 2003 5:22 am

Your PICC 7.87 will work fine with any version of MPLAB from 5.00 to 6.12, there's really no problem there.

Can you create and build a trivial PICC project in MPLAB? I.e. "void main(void){}"

jtemples
 
Posts: 45
Joined: Tue Jul 16, 2002 11:00 pm

Re: Dead Salvo Install

Postby ATG12 » Mon Feb 24, 2003 11:37 am

I found, downloaded and installed MPLAB 5.7. The Salvo objects are still dead but my old Pic projects are now also DOA. I keep getting the "Selected Build Tool not installed properly". I try to 'Install Language Tool' with the Hi-Tech PICC but it doesen't keep my selections. I assume it is a version conflict.

I downloaded the latest version of Hi-tech C but can not activate it. So, I will purchase the upgrade to Hi-Tech C and hopefully that will solve my problem.

Is there some type of chart that lists what version are compatible with each other? The Salvo RTOS sounds like a real neat system I just wish I was smart enough to use it.

Thanks again

ATG12
 
Posts: 4
Joined: Fri Feb 21, 2003 12:00 am
Location: China Lake, CA, USA

Re: Dead Salvo Install

Postby Salvo Tech Support » Mon Feb 24, 2003 11:58 am

Hello.

You need to solve the "Selected Build Tool not installed properly" problem first.

We are using MPLAB v5.5 and v5.7 in-house with PICC v8.00PL4 and v8.01PL3 without any problems -- but, you need to make sure you get all of the "MPLAB compatibility" files from the HI-TECH website in order to get it all to work properly.

Actually, come to think of it, all we did was install MPLAB v5.7 and then HT-PICC v8.01PL3 on an XP Pro machine recently and it worked fine from the get-go ...

The main problem is the MPLAB <-> PICC compatibility. The Salvo code is compatible with PICC v7.87 and higher, and the Salvo projects require MPLAB v5.5 or later.

HI-TECH can help you get the MPLAB stuff worked out -- also, they have a PICC forum that can help, too.

------------------
--------
Salvo Technical Support
Please request all tech support through the Forums.

--------
Salvo Technical Support
Please request all tech support through the Forums.
Salvo Tech Support
 
Posts: 173
Joined: Sun Nov 19, 2000 12:00 am

Re: Dead Salvo Install

Postby ATG12 » Tue Feb 25, 2003 5:07 am

Update - Yes I can get PICC 7.87 to work with MPLAB 5.7! It took me awhile, sorry I'm slow. i had to redo the projects from scratch. I can almost get Salvo 3.1 to work. I am getting linking errors...

Thanks again for all the help!

ATG12
 
Posts: 4
Joined: Fri Feb 21, 2003 12:00 am
Location: China Lake, CA, USA

Re: Dead Salvo Install

Postby tbims23822 » Tue Jul 07, 2009 1:51 am

www.drop-shopping.com is a premium website for cheap air jordans shoes and other more really nike air jordan shoes.We have varity of cheap air jordan shoes available for wholesale.Cheap China wholesale shoes including cheap Nike shoes and cheap jordan shoes,nike sneakers,nike sneakers discount,air jordan sneakers,air force sneakers.We supply nike sneakers,jordan sneakers,air jordan sneakers,air force sneakers wholesale.You can buy very cheap jordans shoes including cheap women shoes,cheap nike shoes,cheap running shoes from us.
tbims23822
 

Next

Return to Installation

Who is online

Users browsing this forum: No registered users and 2 guests

cron